Package biotransformer.utils

## Class FileUtilities

- java.lang.Object
- - biotransformer.utils.FileUtilities

    public class FileUtilities
    extends java.lang.Object

### Constructor Summary

Constructors
`FileUtilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `buildSdfFromTSV​(java.lang.String tsvFileName)`
`static int` `countUniqueCompounds​(java.lang.String sdfFileName)`
`static void` `divideSdfFile​(java.lang.String sdfFileName, int limit)`
`static org.openscience.cdk.interfaces.IAtomContainerSet` `parseSdf​(java.lang.String sdfFileName)`
`static org.openscience.cdk.interfaces.IAtomContainerSet` `parseSdfAndAddTitles​(java.lang.String sdfFileName, org.openscience.cdk.inchi.InChIGeneratorFactory igf)`
`static void` `saveAtomContainerSetToCSV​(org.openscience.cdk.interfaces.IAtomContainerSet products, java.lang.String outputFileName)`
`static void` `saveAtomContainerSetToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, java.lang.String outputFileName)`
`static java.lang.String` `saveAtomContainersToString​(org.openscience.cdk.interfaces.IAtomContainerSet containers)`
`static java.lang.String` `saveAtomContainerToString​(org.openscience.cdk.interfaces.IAtomContainer container)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtilities

    public FileUtilities()

### Method Detail

#### parseSdf

    public static org.openscience.cdk.interfaces.IAtomContainerSet parseSdf​(java.lang.String sdfFileName)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseSdfAndAddTitles

    public static org.openscience.cdk.interfaces.IAtomContainerSet parseSdfAndAddTitles​(java.lang.String sdfFileName,
                                                                                        org.openscience.cdk.inchi.InChIGeneratorFactory igf)
                                                                                 throws org.openscience.cdk.exception.CDKException,
                                                                                        java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`

#### countUniqueCompounds

    public static int countUniqueCompounds​(java.lang.String sdfFileName)
                                    throws org.openscience.cdk.exception.CDKException,
                                           java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`

#### divideSdfFile

    public static void divideSdfFile​(java.lang.String sdfFileName,
                                     int limit)
                              throws org.openscience.cdk.exception.CDKException,
                                     java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`

#### buildSdfFromTSV

    public static void buildSdfFromTSV​(java.lang.String tsvFileName)
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### saveAtomContainerSetToCSV

    public static void saveAtomContainerSetToCSV​(org.openscience.cdk.interfaces.IAtomContainerSet products,
                                                 java.lang.String outputFileName)
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### saveAtomContainerSetToSDF

    public static void saveAtomContainerSetToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                 java.lang.String outputFileName)
                                          throws org.openscience.cdk.exception.CDKException,
                                                 java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`

#### saveAtomContainersToString

    public static java.lang.String saveAtomContainersToString​(org.openscience.cdk.interfaces.IAtomContainerSet containers)
                                                       throws org.openscience.cdk.exception.CDKException,
                                                              java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`

#### saveAtomContainerToString

    public static java.lang.String saveAtomContainerToString​(org.openscience.cdk.interfaces.IAtomContainer container)
                                                      throws org.openscience.cdk.exception.CDKException,
                                                             java.io.IOException

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.io.IOException`